List sent messages
curl --request GET \
--url https://api.lithoblocks.com/v1/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lithoblocks.com/v1/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lithoblocks.com/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lithoblocks.com/v1/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lithoblocks.com/v1/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lithoblocks.com/v1/messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lithoblocks.com/v1/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_name": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "<string>",
"channel_id": "<string>",
"channel_name": "<string>",
"message_ts": "<string>",
"recipient_email": "<string>",
"recipient_slack_id": "<string>",
"sent_at": "<string>",
"sent_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_client_id": "<string>",
"source": "api",
"reference": "<string>",
"lifecycle": "live",
"revision": 123,
"edited_at": "<string>",
"deleted_at": "<string>",
"expired_at": "<string>",
"change_state": "idle",
"pending_action": "edit",
"fallback_text": "<string>",
"text_editable": true,
"expiration": {
"expires_at": "<string>",
"mode": "replace",
"state": "scheduled",
"retain_content": true,
"attempts": 123,
"last_error": "<string>",
"completed_at": "<string>"
}
}
],
"pagination": {
"offset": 123,
"limit": 123,
"total": 123
},
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"success": false,
"error": {
"issues": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"name": "<string>"
},
"message": "<string>",
"code": "validation_failed",
"request_id": "<string>"
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}Messages
List sent messages
Messages LithoBlocks delivered to Slack, newest first, from every send path. Failed sends, which have no Slack message, are not listed. Content is in GET /messages/{id}.
List sent messages
curl --request GET \
--url https://api.lithoblocks.com/v1/messages \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lithoblocks.com/v1/messages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lithoblocks.com/v1/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lithoblocks.com/v1/messages",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lithoblocks.com/v1/messages"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lithoblocks.com/v1/messages")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lithoblocks.com/v1/messages")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"template_name": "<string>",
"template_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "<string>",
"channel_id": "<string>",
"channel_name": "<string>",
"message_ts": "<string>",
"recipient_email": "<string>",
"recipient_slack_id": "<string>",
"sent_at": "<string>",
"sent_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_api_key_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_client_id": "<string>",
"source": "api",
"reference": "<string>",
"lifecycle": "live",
"revision": 123,
"edited_at": "<string>",
"deleted_at": "<string>",
"expired_at": "<string>",
"change_state": "idle",
"pending_action": "edit",
"fallback_text": "<string>",
"text_editable": true,
"expiration": {
"expires_at": "<string>",
"mode": "replace",
"state": "scheduled",
"retain_content": true,
"attempts": 123,
"last_error": "<string>",
"completed_at": "<string>"
}
}
],
"pagination": {
"offset": 123,
"limit": 123,
"total": 123
},
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}{
"success": false,
"error": {
"issues": [
{
"code": "<string>",
"path": [
"<string>"
],
"message": "<string>"
}
],
"name": "<string>"
},
"message": "<string>",
"code": "validation_failed",
"request_id": "<string>"
}{
"error": "<string>",
"code": "unauthenticated",
"request_id": "<string>",
"message": "<string>",
"details": "<string>",
"error_details": "<string>",
"success": false,
"valid": false,
"required_scopes": [
"<string>"
],
"user_scopes": [
"<string>"
]
}Authorizations
LithoBlocks API key obtained from your organization dashboard. The LithoBlocks MCP server also presents a Supabase-issued user session token here on the user's behalf; such a token acts as that user with the scopes their organization role allows.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0Required string length:
1 - 255Find one message by its Slack timestamp; combine with channel_id.
Maximum string length:
40Pattern:
^\d+\.\d+$What has happened to the message in Slack since it was sent.
Available options:
live, deleted, expired How it was sent. Null for messages sent before 2026-10-22.
Available options:
api, api_bulk, web, scheduled, digest, slash Required string length:
1 - 255Messages with a pending expiry before this time.

